Bug 828732 - Review Request: feedstail - A tail-f-like utility for feeds
Review Request: feedstail - A tail-f-like utility for feeds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:41 EDT by Matthias Runge
Modified: 2012-07-10 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 12:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thomas.moschny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-06-05 05:41:52 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-feedstail.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-feedstail-0.4.0-1.fc17.src.rpm
Description: Feedstail is a tail-f-like utility for feeds. It monitor a
feed and emits new entries.
Feedstail aim to be simple, hackable and compatible
with rsstail_ its C brother.
Fedora Account System Username: mrunge

[mrunge@mrungexp SPECS]$ rpmlint /home/mrunge/rpmbuild/SRPMS/python-feedstail-0.4.0-1.fc17.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-feedstail-0.4.0-1.fc17.noarch.rpm ./python-feedstail.spec 
python-feedstail.src: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
python-feedstail.src: W: spelling-error %description -l en_US rsstail -> horsetail
python-feedstail.noarch: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
python-feedstail.noarch: W: spelling-error %description -l en_US rsstail -> horsetail
python-feedstail.noarch: W: no-manual-page-for-binary feedstail
2 packages and 1 specfiles checked; 0 errors, 5 warnings.

koji scratchbuild http://koji.fedoraproject.org/koji/taskinfo?taskID=4128137
Comment 1 Thomas Moschny 2012-06-06 04:31:50 EDT
Will do the review here. One question beforehand: Does feedstail support python3, and if yes, does it make sense to provides a python3 subpackage? (Only useful in case people use it as a library, I think.)
Comment 2 Thomas Moschny 2012-06-06 04:39:12 EDT
(In reply to comment #1)
> Only useful in case people use it as a library, I think.

Oh, and btw, if it is not used as a library, it can very well be named "feedstail" only, without the prefix.
Comment 3 Matthias Runge 2012-06-06 04:55:27 EDT
I'll tend to view it as tool, not as library. So I'll rename it to feedstail.
(SPEC and SRPM will follow).

Then python3 support will be irrelevant (currently).
Comment 5 Thomas Moschny 2012-06-16 09:46:54 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

Generated by fedora-review 0.1.3

My comments are inlined.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.

The Storage class (see below) is from web.py, which is packaged in
Fedora as python-webpy. Please check (perhaps with upstream) whether
it is possible to use that instead of the bundled one.

[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.

Two issues here:

- The license should be "GPLv3+", not "GPLv3".

- The comments in feedstail/utils.py state that the "Storage" class
  (the only one in this file) is from the web.py project and thus in
  the Public Domain, whereas the file header is the standard GPLv3+
  header. This has to be clarified upstream, I think. Until then, the
  license tag should be "GPLv3+ and Public Domain".

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.

Wrong requirement: The package is named "python-feedparser", not
"python-FeedParser".

[!]: MUST Requires correct, justified where necessary.

See above.

[!]: MUST Rpmlint output is silent.

rpmlint feedstail-0.4.0-1.fc18.noarch.rpm

feedstail.noarch: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.noarch: W: spelling-error %description -l en_US rsstail -> horsetail
feedstail.noarch: W: no-manual-page-for-binary feedstail
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint feedstail-0.4.0-1.fc18.src.rpm

feedstail.src: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.src: W: spelling-error %description -l en_US rsstail -> horsetail
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.

feedstail-0.4.0.tar.gz :
  MD5SUM this package     : 5b44af1b294e5c6a9aec70dc2ac158e2
  MD5SUM upstream package : 5b44af1b294e5c6a9aec70dc2ac158e2

[!]: MUST Spec file is legible and written in American English.

In the %description:

- Grammar: "It monitor_s_ a feed ...", "Feedstail aim_s_ to be ..."
- The last undescore is probably meant to be a comma.
- (Only cosmetic) There should be a newline between the two paragraphs.

[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).

See above.

[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.

Please add a comment in the specfile for the -doc patch.

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: feedstail-doc.patch (feedstail-doc.patch )
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint feedstail-0.4.0-1.fc18.noarch.rpm

feedstail.noarch: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.noarch: W: spelling-error %description -l en_US rsstail -> horsetail
feedstail.noarch: W: no-manual-page-for-binary feedstail
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint feedstail-0.4.0-1.fc18.src.rpm

feedstail.src: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.src: W: spelling-error %description -l en_US rsstail -> horsetail
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Additional notes:
- The rpmlint warnings are bogus.
- You should think of creating something more usful to the user from the README.rst, using either rst2html or even rst2man (both from the python-docutils package) at build time, and install the resulting HTML and/or manpage. (Surely not a blocker though, just a suggestion.)

Package is not yet approved, please have a look at the marked issues.
Comment 6 Matthias Runge 2012-06-17 17:14:51 EDT
(In reply to comment #5)
Thank you for the review!
> - The comments in feedstail/utils.py state that the "Storage" class
>   (the only one in this file) is from the web.py project and thus in
>   the Public Domain, whereas the file header is the standard GPLv3+
>   header. This has to be clarified upstream, I think. Until then, the
>   license tag should be "GPLv3+ and Public Domain".
> 
That's a good catch. I'll ask upstream.

> 
> Wrong requirement: The package is named "python-feedparser", not
> "python-FeedParser".

Oops, I'm sorry! This shouldn't happen. I'll correct that in the next version.
> 
> [!]: MUST Requires correct, justified where necessary.
> 
> See above.
> 
> [!]: MUST Rpmlint output is silent.
> 
> rpmlint feedstail-0.4.0-1.fc18.noarch.rpm
> 
> feedstail.noarch: W: spelling-error %description -l en_US hackable -> hack
> able, hack-able, hackle
> feedstail.noarch: W: spelling-error %description -l en_US rsstail ->
> horsetail
> feedstail.noarch: W: no-manual-page-for-binary feedstail
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> 
> rpmlint feedstail-0.4.0-1.fc18.src.rpm
> 
> feedstail.src: W: spelling-error %description -l en_US hackable -> hack
> able, hack-able, hackle
> feedstail.src: W: spelling-error %description -l en_US rsstail -> horsetail
> 1 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> 
> [x]: MUST Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> 
> feedstail-0.4.0.tar.gz :
>   MD5SUM this package     : 5b44af1b294e5c6a9aec70dc2ac158e2
>   MD5SUM upstream package : 5b44af1b294e5c6a9aec70dc2ac158e2
> 
> [!]: MUST Spec file is legible and written in American English.
> 
> In the %description:
> 
> - Grammar: "It monitor_s_ a feed ...", "Feedstail aim_s_ to be ..."
> - The last undescore is probably meant to be a comma.
> - (Only cosmetic) There should be a newline between the two paragraphs.
> 
I took the description from pypi.python.org. Nevertheless, you're right, and I'll correct it for the package and report it upstream.


> Please add a comment in the specfile for the -doc patch.
Asked upstream to include that "patch". 


> Additional notes:
> - The rpmlint warnings are bogus.
> - You should think of creating something more usful to the user from the
> README.rst, using either rst2html or even rst2man (both from the
> python-docutils package) at build time, and install the resulting HTML
> and/or manpage. (Surely not a blocker though, just a suggestion.)
> 
> Package is not yet approved, please have a look at the marked issues.

I will update this during the next days.
Comment 7 Matthias Runge 2012-06-21 03:42:20 EDT
No response from upstream regarding feedstail/utils.py. or even regarding that 'patch'. I added a comment, what it does.

I'd tend to see utils.py as fork from the corresponding file in web.py
That file has 62 lines of code including comments. web.py takes about 570k, when installed. 

Updated 
SRPM: http://www.matthias-runge.de/fedora/feedstail-0.4.0-2.fc17.src.rpm
SPEC: http://www.matthias-runge.de/fedora/feedstail.spec



[mrunge@mrungexp SPECS]$ rpmlint ./feedstail.spec ../RPMS/noarch/feedstail-0.4.0-2.fc17.noarch.rpm ../SRPMS/feedstail-0.4.0-2.fc17.src.rpm 
feedstail.noarch: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.noarch: W: spelling-error %description -l en_US rsstail -> horsetail
feedstail.noarch: W: no-manual-page-for-binary feedstail
feedstail.src: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
feedstail.src: W: spelling-error %description -l en_US rsstail -> horsetail
2 packages and 1 specfiles checked; 0 errors, 5 warnings.





[mrunge@mrungexp SPECS]$ diff -u feedstail.spec.1 feedstail.spec
--- feedstail.spec.1	2012-06-06 11:06:34.000000000 +0200
+++ feedstail.spec	2012-06-21 09:08:38.840649652 +0200
@@ -1,11 +1,14 @@
 Name:           feedstail
 Version:        0.4.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A tail-f-like utility for feeds
 
-License:        GPLv3
+License:        GPLv3+ and Public Domain
 URL:            http://pypi.python.org/pypi/%{name}/0.4.0
 Source0:        http://pypi.python.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz
+
+# this simple patch makes setup install not to install docs under /usr
+# upstream is informed, but doesn't have a (public) bug tracker
 Patch0:         feedstail-doc.patch 
 
 BuildArch:      noarch
@@ -14,16 +17,19 @@
 BuildRequires:  python-setuptools
  
 Requires:       python-argparse
-Requires:       python-FeedParser
+Requires:       python-feedparser
 
 %description
-Feedstail is a tail-f-like utility for feeds. It monitor a
+Feedstail is a tail-f-like utility for feeds. It monitors a
 feed and emits new entries.
-Feedstail aim to be simple, hackable and compatible
-with rsstail_ its C brother.
+
+Feedstail aims to be simple, hackable and compatible
+with rsstail, its C brother.
 
 %prep
 %setup -q 
+
+# patch setup.py not to install docs in /usr
 %patch0 -p1
 # Remove bundled egg-info
 rm -rf %{name}.egg-info
@@ -45,5 +51,11 @@
 %{_bindir}/%{name}
 
 %changelog
+* Thu Jun 21 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4.0-2
+- correct license
+- add a comment regarding patch
+- correct requirement python-feedparser
+- correct description
+
 * Tue Jun 05 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4.0-1
 - Initial package.
Comment 8 Thomas Moschny 2012-06-26 07:33:30 EDT
Looks good now.

You should add a comment above the License: tag explaining which file is PD - can be done while importing.

APPROVED.
Comment 9 Matthias Runge 2012-06-27 02:12:32 EDT
Thank you for your review!

New Package SCM Request
=======================
Package Name: feedstail
Short Description: A tail-f-like utility for feeds
Owners: mrunge
Branches: f17
Comment 10 Gwyn Ciesla 2012-06-27 08:44:50 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-06-28 02:53:30 EDT
feedstail-0.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/feedstail-0.4.0-3.fc17
Comment 12 Fedora Update System 2012-06-30 04:35:20 EDT
feedstail-0.4.0-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-07-10 12:24:01 EDT
feedstail-0.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.